package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.RParamBasicDataDto;
import com.huatek.busi.vo.DeviceSubclassOrTestItemListVo;
import com.huatek.busi.where.RParamBasicDataSelectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface RParamBasicDataMapper {

    Page<RParamBasicDataDto> mainList(RParamBasicDataSelectVo rParamBasicDataSelectVo);

    RParamBasicDataDto findByParamValue(@Param("paramKey") String paramKey);

    RParamBasicDataDto findBySystemCodeAndTestItem(@Param("systemCode") String systemCode, @Param("testItem") String testItem);

    List<DeviceSubclassOrTestItemListVo> testItemList(@Param("equType")  String equType);
}
